﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using MyCoreAssembly;

namespace SampleDynamicGen
{
    public class Osoba: EntityObject
    {
        public string KoSta() { return "Ja sam bre, iz virtuelnog validatora"; }

        // wrapper factory
        public override EntityWrapper2 GetWrapper()
        {
            return new OsobaWrapper2();
        }
    }

    [EntityWrapper(typeof(Osoba))]
    public class OsobaWrapper : EntityWrapper<Osoba>
    {
        public override void Validate(Osoba objekat)
        {
            Console.WriteLine(objekat.KoSta());
        }
    }


    public class OsobaWrapper2 : EntityWrapper2
    {
        public override void Validate(EntityObject objekat)
        {
            Console.WriteLine(((Osoba)objekat).KoSta());
        }
    }

}
